## org.eclipse.datatools.modelbase.sql.constraints.impl
Class SQLConstraintsFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.constraints.impl.SQLConstraintsFactoryImpl

All Implemented Interfaces:
  SQLConstraintsFactory

    public class SQLConstraintsFactoryImpl

extends EFactoryImpl
implements SQLConstraintsFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.constraints.SQLConstraintsFactory
`eINSTANCE`

Constructor Summary
`SQLConstraintsFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertIncrementTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertMatchTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`Assertion` `createAssertion()`
`CheckConstraint` `createCheckConstraint()`
`ForeignKey` `createForeignKey()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`IncrementType` `createIncrementTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`Index` `createIndex()`
`IndexMember` `createIndexMember()`
`MatchType` `createMatchTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`PrimaryKey` `createPrimaryKey()`
`UniqueConstraint` `createUniqueConstraint()`
`static SQLConstraintsPackage` `getPackage()` Deprecated.
`SQLConstraintsPackage` `getSQLConstraintsPackage()`
`static SQLConstraintsFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLConstraintsFactoryImpl

    public SQLConstraintsFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLConstraintsFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createAssertion

    public Assertion createAssertion()

  Specified by:
    `createAssertion` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Assertion'.

### createCheckConstraint

    public CheckConstraint createCheckConstraint()

  Specified by:
    `createCheckConstraint` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Check Constraint'.

### createForeignKey

    public ForeignKey createForeignKey()

  Specified by:
    `createForeignKey` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Foreign Key'.

### createUniqueConstraint

    public UniqueConstraint createUniqueConstraint()

  Specified by:
    `createUniqueConstraint` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Unique Constraint'.

### createPrimaryKey

    public PrimaryKey createPrimaryKey()

  Specified by:
    `createPrimaryKey` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Primary Key'.

### createIndex

    public Index createIndex()

  Specified by:
    `createIndex` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Index'.

### createIndexMember

    public IndexMember createIndexMember()

  Specified by:
    `createIndexMember` in interface `SQLConstraintsFactory`
  Returns:
    a new object of class 'Index Member'.

### createMatchTypeFromString

    public MatchType createMatchTypeFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertMatchTypeToString

    public java.lang.String convertMatchTypeToString(EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createIncrementTypeFromString

    public IncrementType createIncrementTypeFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertIncrementTypeToString

    public java.lang.String convertIncrementTypeToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### getSQLConstraintsPackage

    public SQLConstraintsPackage getSQLConstraintsPackage()

  Specified by:
    `getSQLConstraintsPackage` in interface `SQLConstraintsFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLConstraintsPackage getPackage()

  Deprecated.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.